Package tigase.io

# Class TelnetClient

java.lang.Object
tigase.io.TelnetClient

All Implemented Interfaces:
  `SampleSocketThread.SocketHandler`

public class TelnetClient extends Object implements SampleSocketThread.SocketHandler
This is sample class demonstrating how to use `tigase.io` library for TLS/SSL client connection. This is simple telnet client class which can connect to remote server using plain connection or SSL.
Created: Sun Aug 6 15:14:49 2006

Author:
  Artur Hefczyc

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TelnetClient(String hostname, int port)`
  Creates a new `TelnetClient` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleIOInterface(IOInterface ioifc)`
  `void`
  `handleSocketAccept(SocketChannel sc)`
  `static String`
  `help()`
  `static void`
  `main(String[] args)`
  `static void`
  `parseParams(String[] args)`
  `static void`
  `turnDebugOn()`
  `static String`
  `version()`
  `void`
  `writeData(String data)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TelnetClient

    public TelnetClient(String hostname, int port) throws Exception
    Creates a new `TelnetClient` instance.
    Throws:
      `Exception`

- ## Method Details

  - ### help

    public static String help()

  - ### main

    public static void main(String[] args) throws Exception
    Throws:
      `Exception`

  - ### parseParams

    public static void parseParams(String[] args) throws Exception
    Throws:
      `Exception`

  - ### turnDebugOn

    public static void turnDebugOn()

  - ### version

    public static String version()

  - ### handleIOInterface

    public void handleIOInterface(IOInterface ioifc) throws IOException
    Specified by:
      `handleIOInterface` in interface `SampleSocketThread.SocketHandler`
    Throws:
      `IOException`

  - ### handleSocketAccept

    public void handleSocketAccept(SocketChannel sc)
    Specified by:
      `handleSocketAccept` in interface `SampleSocketThread.SocketHandler`

  - ### writeData

    public void writeData(String data) throws IOException
    Throws:
      `IOException`